curl --request GET \
--url https://api.phare.io/uptime/maintenance-windows/{maintenanceWindowId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.phare.io/uptime/maintenance-windows/{maintenanceWindowId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.phare.io/uptime/maintenance-windows/{maintenanceWindowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"monitoring_mode": "pause",
"title": "Database upgrade",
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"id": 1,
"project_id": 1,
"state": "scheduled",
"description": "Planned database upgrade and maintenance",
"monitors": [
1,
2,
3
],
"status_pages": [
1,
2
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "Unauthorized"
}{
"message": "The platform:write permission is required to perform this action."
}{
"message": "Resource not found"
}Get a maintenance window
Get a maintenance window by ID
Authorizations
Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.
Headers
A project header is required when using an organization-scoped API key.
1
A project header is required when using an organization-scoped API key.
"luminous-guiding-tower"
Path Parameters
ID of the maintenance window to show
Response
Success, maintenance window retrieved
pause, mute, normal Maintenance window title
"Database upgrade"
Date and time when the maintenance window starts
Date and time when the maintenance window ends
Maintenance window ID
1
Parent project ID
1
scheduled, in_progress, completed, cancelled Description of the maintenance window
"Planned database upgrade and maintenance"
List of monitor IDs linked to the maintenance window
[1, 2, 3]
List of status page IDs linked to the maintenance window
[1, 2]
Date of creation for the entity
Date of last update for the entity
Was this page helpful?